Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.testing
Class ScribeRegrTest.TestScribePolicy

    java.lang.Object
      rice.p2p.scribe.ScribePolicy.DefaultScribePolicy
          rice.p2p.scribe.testing.ScribeRegrTest.TestScribePolicy

All Implemented Interfaces:
  ScribePolicy

Enclosing class:
  ScribeRegrTest

    public class ScribeRegrTest.TestScribePolicy

extends ScribePolicy.DefaultScribePolicy

Nested Class Summary

Nested classes/interfaces inherited from interface rice.p2p.scribe.ScribePolicy
`ScribePolicy.DefaultScribePolicy, ScribePolicy.LimitedScribePolicy`

Field Summary
`protected boolean` | `allowSubscribe`
`protected boolean` | `neverAllowSubscribe`
`protected Scribe` | `scribe`

Fields inherited from class rice.p2p.scribe.ScribePolicy.DefaultScribePolicy
`environment`

Constructor Summary
`ScribeRegrTest.TestScribePolicy(Scribe scribe)`

Method Summary
`void` | `allowSubscribe(boolean allowSubscribe)`
`boolean` | `allowSubscribe(SubscribeMessage message, ScribeClient[] clients, NodeHandle[] children)` This method should be deprecated, but is here for reverse compatibility.
`void` | `neverAllowSubscribe(boolean neverAllowSubscribe)`

Methods inherited from class rice.p2p.scribe.ScribePolicy.DefaultScribePolicy
`allowSubscribe, childAdded, childRemoved, directAnycast, divideContent, intermediateNode, recvAnycastFail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scribe

    protected Scribe scribe

### allowSubscribe

    protected boolean allowSubscribe

### neverAllowSubscribe

    protected boolean neverAllowSubscribe

Constructor Detail

### ScribeRegrTest.TestScribePolicy

    public ScribeRegrTest.TestScribePolicy(Scribe scribe)

Method Detail

### allowSubscribe

    public void allowSubscribe(boolean allowSubscribe)

### neverAllowSubscribe

    public void neverAllowSubscribe(boolean neverAllowSubscribe)

### allowSubscribe

    public boolean allowSubscribe(SubscribeMessage message,
                                  ScribeClient[] clients,
                                  NodeHandle[] children)

  Description copied from class: `ScribePolicy.DefaultScribePolicy`
  This method should be deprecated, but is here for reverse compatibility. We changed the allowSubscribe() method, but classes that extend DefaultScribePolicy object could make a mistake and not override the new one.

  Overrides:
    `allowSubscribe` in class `ScribePolicy.DefaultScribePolicy`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.